BackendHTTP APIConnect

Create a connect session

Requires an API key with the environment:connect_sessions:write scope. Learn more about API key scopes.

Creates a short-lived connect session (30m). The returned token can be used for instance to create connections through Connect UI.

You can attach connection-level tags to the session via the tags field. These tags are copied onto the created connection and included in auth webhooks.

Most apps start with these tags: end_user_id, end_user_email, organization_id.

POST
/connect/sessions

Create a new connect session

Authorization

bearerAuth
headerAuthorizationBearer <token>

An Environment API key from your Tenklo environment, or an Account API key for account-level endpoints.

Request Body

application/json
  1. body
tags?

Connection tags (key/value strings). Keys are normalized to lowercase.

Propertiesproperties <= 10
end_user?Deprecated

Deprecated, use tags instead

organization?Deprecated

Deprecated, use tags instead

allowed_integrations?array<string>

Filters which integrations the end user can interact with

integrations_config_defaults?
overrides?
webhook_url_override?string

Override the environment's webhook URLs for the connection created by this session. When set, that connection's webhooks are sent only to this URL (the environment's primary and secondary URLs are bypassed).

Response Body

Successfully created a connect session

application/json
  1. response
data*
Example Request
curl -X POST 'https://api.tenklo.dev/connect/sessions' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "data": {    "token": "string",    "connect_link": "string",    "expires_at": "2019-08-24T14:15:22Z"  }}